Fetch the status of a dataset's column refresh Public Preview
This endpoint retrieves the status of a previously triggered column refresh job for the given dataset.
Request schema
Path parameters
dataset_id
integerrequired
ID of the dataset
Query parameters
refresh_key
integerrequired
The key provided by the refresh_columns endpoint, used to check whether the refresh columns job has finished.
Header parameters
Authorization
stringrequired
HTTP: basicAuth
HTTP AuthorizationScheme: basic
Http + 1.1
GET /api/v2/datasets/{dataset_id}/refresh_columns_status?refresh_key=1647978948 HTTP/1.1 Authorization: Bearer REPLACE_BEARER_TOKEN Host: app.getcensus.com
Responses
200
Successfully checked the status of the job.
400
An error occurred during column refresh.
404
Resource not found.
200
status
string
Status of the job
enum:
"completed""processing"
400
status
string
Status of the job
enum:
"error"
message
string
A human-readable description of the error.
example:
Failed to refresh source columns
404
status
integer
HTTP status code.
enum:
"404"
{ "status": "processing" }